Table of Contents

## Name

sisu - package to install what sisu needs to to populate a postgresql database (postgresql dependency component)

## Synopsis

sisu -Dv [filename/wildcard ] sisu -Dv [instruction] SISU - SEARCH, RALPH AMISSAH

1. POSTGRESQL

1.1

NAME

SiSU - Structured information, Serialized Units - a document publishing system, postgresql dependency package

1.2 DESCRIPTION

Information related to using postgresql with sisu (and related to the sisu_postgresql dependency package, which is a dummy package to install dependencies needed for SiSU to populate a postgresql database, this being part of SiSU - man sisu).

1.3 SYNOPSIS

sisu -D [instruction] [filename/wildcard if required]

sisu -D --pg --[instruction] [filename/wildcard if required]

1.4 COMMANDS

Mappings to two databases are provided by default, postgresql and sqlite, the same commands are used within sisu to construct and populate databases however -d (lowercase) denotes sqlite and -D (uppercase) denotes postgresql, alternatively --sqlite or --pgsql may be used

-D or --pgsql may be used interchangeably.

1.4.1 CREATE AND DESTROY DATABASE

--pgsql --createall
  initial step, creates required relations (tables, indexes) in existing (postgresql) database (a database should be created (postgresql dependency component) manually and given the same name as working directory, as requested) (rb.dbi) the same name as working directory, as

sisu -D --createdb
  creates database where no database existed before as

sisu -D --create
  creates database tables where no database tables existed before database tables where no database tables existed

sisu -D --Dropall
  destroys database (including all its content)! kills data and drops tables, indexes and database associated with a given directory (and directories of the same name). a

sisu -D --recreate

  destroys existing database and builds a new empty database structure

1.4.2

IMPORT AND REMOVE DOCUMENTS

sisu -D --import -v [filename/wildcard]
  populates database with the contents of the file. Imports documents(s) specified to a postgresql database (at an object level).

sisu -D --update -v [filename/wildcard]

  updates file contents in database

sisu -D --remove -v [filename/wildcard]
  removes specified document from postgresql database.

DOCUMENT INFORMATION (METADATA)

METADATA

Document Manifest @ <http://sisudoc.org/sisu_manual/sisu_postgresql/sisu_manifest.html >

Dublin Core (DC)

DC tags included with this document are provided here.

DC Title: SiSU - Search

DC Creator: Ralph Amissah

DC Rights: Copyright (C) Ralph Amissah 2007, part of SiSU documentation, License GPL 3

DC Type: information

DC Date created: 2002-08-28

DC Date issued: 2002-08-28

DC Date available: 2002-08-28

DC Date modified: 2007-09-16

DC Date: 2007-09-16

Version Information

Sourcefile: sisu_postgresql.sst

Filetype: SiSU

text 0.58

Sourcefile Digest, MD5(sisu_postgresql.sst)= 9010e85001c50e30ba2ab69f9097825a

Skin_Digest: MD5(skin_sisu_manual.rb)= 20fc43cf3eb6590bc3399a1aef65c5a9

Generated

Document (metaverse) last generated: Sat Sep 29 17:05:38

+0100 2007

Generated by: SiSU 0.59.1 of 2007w39/2 (2007-09-25)

Ruby version: ruby 1.8.6 (2007-06-07 patchlevel 36) [i486-linux]

Other versions of this document:
manifest: <http://www.jus.uio.no/sisu/sisu_postgresql/sisu_manifest.html >
html: <http://www.jus.uio.no/sisu/sisu_postgresql/toc.html >
pdf: <http://www.jus.uio.no/sisu/sisu_postgresql/portrait.pdf >
pdf: <http://www.jus.uio.no/sisu/sisu_postgresql/landscape.pdf >
at: <http://www.jus.uio.no/sisu >
* Generated by: SiSU 0.59.1 of 2007w39/2 (2007-09-25)
* Ruby version: ruby 1.8.6 (2007-06-07 patchlevel 36) [i486-linux]
* Last Generated on: Sat Sep 29 17:05:39 +0100 2007
* SiSU http://www.jus.uio.no/sisu

Table of Contents

- Name
- Synopsis